spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shivaram Venkataraman <shiva...@eecs.berkeley.edu>
Subject Re: MLI dependency exception
Date Tue, 10 Sep 2013 20:10:59 GMT
Did you check out spark from the master branch of github.com/mesos/spark ?
The package names changed recently so you might need to pull. Also just
checking that you did publish-local in Spark (not public-local as specified
in the email) ?

Thanks
Shivaram


On Tue, Sep 10, 2013 at 1:01 PM, Gowtham N <gowtham.n.mail@gmail.com> wrote:

> still getting the same error.
>
> I have spark and MLI folder within a folder called git
>
> I did clean, package and public-local for spark.
> Then for mli did clean, and then package.
> I am still getting the error.
>
> [warn] ::::::::::::::::::::::::::::::::::::::::::::::
> [warn] ::          UNRESOLVED DEPENDENCIES         ::
> [warn] ::::::::::::::::::::::::::::::::::::::::::::::
> [warn] :: org.apache.spark#spark-core_2.9.3;0.8.0-SNAPSHOT: not found
> [warn] :: org.apache.spark#spark-mllib_2.9.3;0.8.0-SNAPSHOT: not found
> [warn] ::::::::::::::::::::::::::::::::::::::::::::::
> [error] {file:/Users/gowthamn/git/MLI/}default-0b9403/*:update:
> sbt.ResolveException: unresolved dependency:
> org.apache.spark#spark-core_2.9.3;0.8.0-SNAPSHOT: not found
> [error] unresolved dependency:
> org.apache.spark#spark-mllib_2.9.3;0.8.0-SNAPSHOT: not found
>
> should I modify the contents of build.sbt?
> Currently its
>
> libraryDependencies ++= Seq(
>   "org.apache.spark" % "spark-core_2.9.3" % "0.8.0-SNAPSHOT",
>   "org.apache.spark" % "spark-mllib_2.9.3" % "0.8.0-SNAPSHOT",
>   "org.scalatest" %% "scalatest" % "1.9.1" % "test"
> )
>
> resolvers ++= Seq(
>   "Typesafe" at "http://repo.typesafe.com/typesafe/releases",
>   "Scala Tools Snapshots" at "http://scala-tools.org/repo-snapshots/",
>   "ScalaNLP Maven2" at "http://repo.scalanlp.org/repo",
>   "Spray" at "http://repo.spray.cc"
> )
>
>
>
>
>
>
> On Tue, Sep 10, 2013 at 11:58 AM, Evan R. Sparks <evan.sparks@gmail.com
> >wrote:
>
> > Hi Gowtham,
> >
> > You'll need to do "sbt/sbt publish-local" in the spark directory
> > before trying to build MLI.
> >
> > - Evan
> >
> > On Tue, Sep 10, 2013 at 11:37 AM, Gowtham N <gowtham.n.mail@gmail.com>
> > wrote:
> > > I cloned MLI, but am unable to compile it.
> > >
> > > I get the following dependency exception with other projects.
> > >
> > > org.apache.spark#spark-core_2.9.3;0.8.0-SNAPSHOT: not found
> > > org.apache.spark#spark-mllib_2.9.3;0.8.0-SNAPSHOT: not found
> > >
> > > Why am I getting this error?
> > >
> > > I did not change anything from build.sbt
> > >
> > > libraryDependencies ++= Seq(
> > >   "org.apache.spark" % "spark-core_2.9.3" % "0.8.0-SNAPSHOT",
> > >   "org.apache.spark" % "spark-mllib_2.9.3" % "0.8.0-SNAPSHOT",
> > >   "org.scalatest" %% "scalatest" % "1.9.1" % "test"
> > > )
> >
>
>
>
> --
> Gowtham Natarajan
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message